## golang-github-jaypipes-pcidb 0.6.0

=== debian/changelog ===
golang-github-jaypipes-pcidb (0.6.0-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 11:40:51 +0100

golang-github-jaypipes-pcidb (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #998150)

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 31 Oct 2021 02:52:12 +0000

## golang-github-jaypipes-pcidb 1.0.0

=== Makefile ===
VENDOR := vendor
PKGS := $(shell go list ./... | grep -v /$(VENDOR)/)
SRC = $(shell find . -type f -name '*.go' -not -path "*/$(VENDOR)/*")
BIN_DIR := $(GOPATH)/bin
GOMETALINTER := $(BIN_DIR)/gometalinter

.PHONY: test
test: vet
	go test $(PKGS)

$(GOMETALINTER):
	go get -u github.com/alecthomas/gometalinter
	$(GOMETALINTER) --install &> /dev/null

.PHONY: lint
lint: $(GOMETALINTER)
	$(GOMETALINTER) ./... --vendor

.PHONY: fmt
fmt:
	@gofmt -s -l -w $(SRC)

.PHONY: fmtcheck
fmtcheck:
	@bash -c "diff -u <(echo -n) <(gofmt -d $(SRC))"

.PHONY: vet
vet:
	go vet $(PKGS)

.PHONY: cover
cover:
	$(shell [ -e coverage.out ] && rm coverage.out)
	@echo "mode: count" > coverage-all.out
	@$(foreach pkg,$(PKGS),\
		go test -coverprofile=coverage.out -covermode=count $(pkg);\
		tail -n +2 coverage.out >> coverage-all.out;)
	go tool cover -html=coverage-all.out -o=coverage-all.html

=== debian/changelog ===
golang-github-jaypipes-pcidb (1.0.0-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 29 Apr 2022 00:32:36 +0000

=== debian/control ===
Source: golang-github-jaypipes-pcidb
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mitchellh-go-homedir-dev,
               pci.ids
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb.git
Homepage: https://github.com/jaypipes/pcidb
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jaypipes/pcidb

Package: golang-github-jaypipes-pcidb-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-mitchellh-go-homedir-dev
Description: Small golang library for querying PCI database (pciids) information (library)
 pcidb is a small golang library that contains a PCI database
 inspection and querying facility which allows developers to query for
 information about hardware device classes, vendor and product
 information.

## golang-github-jaypipes-pcidb 1.0.1

=== debian/changelog ===
golang-github-jaypipes-pcidb (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update my email address
  * Update years in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 04 Jun 2024 23:08:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-jaypipes-pcidb
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-mitchellh-go-homedir-dev,
                pci.ids
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb.git
 Homepage: https://github.com/jaypipes/pcidb

## golang-github-jaypipes-pcidb 1.1.1

=== debian/changelog ===
golang-github-jaypipes-pcidb (1.1.1-1) unstable; urgency=medium

  * New upstream release
    - Don't build example binary
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Build-Depends and Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 02 Sep 2025 02:19:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-mitchellh-go-homedir-dev,
                pci.ids
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jaypipes-pcidb.git
 Homepage: https://github.com/jaypipes/pcidb
@@ -19,8 +18,7 @@
 Package: golang-github-jaypipes-pcidb-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         golang-github-mitchellh-go-homedir-dev
+Depends: ${misc:Depends}
 Description: Small golang library for querying PCI database (pciids) information (library)
  pcidb is a small golang library that contains a PCI database
  inspection and querying facility which allows developers to query for

=== debian/rules ===
#!/usr/bin/make -f

# Don't build exmaple binary
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/jaypipes/pcidb/tags .*/v?(\d\S*)\.tar\.gz debian
